Index: src/uk/me/parabola/mkgmap/build/MapBuilder.java
===================================================================
--- src/uk/me/parabola/mkgmap/build/MapBuilder.java	(revision 4506)
+++ src/uk/me/parabola/mkgmap/build/MapBuilder.java	(working copy)
@@ -171,6 +171,7 @@
 	private short demOutsidePolygonHeight;
 	private java.awt.geom.Area demPolygon;
 	private HGTConverter.InterpolationMethod demInterpolationMethod;
+	private int centerPOIType;
 	
 
 	public MapBuilder() {
@@ -206,6 +207,7 @@
 		licenseFileName = props.getProperty("license-file", null);
 		
 		locationAutofill = LocatorUtil.parseAutofillOption(props);
+		centerPOIType = Integer.decode(props.getProperty("center-poi-type", "0x6601"));
 		
 		locator = new Locator(props);
 		locator.setDefaultCountry(countryName, countryAbbr);
@@ -579,7 +581,16 @@
 
 		LBLFile lbl = map.getLblFile();
 		boolean checkedForPoiDispFlag = false;
-
+		if (src.getPoints().isEmpty() && !(src instanceof OverviewMapDataSource)) {
+			MapPoint center = new MapPoint();
+			center.setType(centerPOIType);
+			center.setMinResolution(24);
+			center.setMaxResolution(24);
+			center.setLocation(src.getBounds().getCenter());
+			center.setName("Center of map");
+			src.getPoints().add(center);
+		}
+			
 		for (MapPoint p : src.getPoints()) {
 			// special handling for highway exits
 			if(p.isExit()) {
